Mailinglist Archive: opensuse-bugs (8048 mails)

< Previous Next >
[Bug 242364] New: fuseiso-20070116-2: array subscript is above array bounds
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 5 Feb 2007 14:47:38 -0700 (MST)
  • Message-id: <bug-242364-21960@xxxxxxxxxxxxxxxxxxxxxxxxx/>
https://bugzilla.novell.com/show_bug.cgi?id=242364

Summary: fuseiso-20070116-2: array subscript is above array
bounds
Product: openSUSE 10.3
Version: unspecified
Platform: All
OS/Version: SuSE Other
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Other
AssignedTo: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
ReportedBy: dcb314@xxxxxxxxxxx
QAContact: qa@xxxxxxx


I just tried to compile package fuseiso-20070116-2
with the GNU C compiler version 4.3 snapshot 20070202.

The compiler said

isofs.c:119: warning: array subscript is above array bounds

The source code is

} else if(strncmp("CD001", vd_id + 16, 5) == 0) {

but the id field has only five elements, not 16.

Suggest code rework.


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.

< Previous Next >